// MainFrm.cpp : implementation of the IAD_MainFrame class
////////////////////////////////////////////////////////
#include "stdafx.h"

#include "IADFmMn.hpp"

#include "IADVwMn.hpp"
#include "IADVwRst.hpp"
//BEGIN ROMTEAM Cristi Petrescu 98-05-
#include "IADVrVw.hpp"
//END ROMTEAM Cristi Petrescu 98-05-
#include "IADCnst.hpp"
#include "_IADItrf.hpp"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//HCURSOR g_hcursor_CloseHand;
//HCURSOR g_hcursor_UpDownHand;

/////////////////////////////////////////////////////////////////////////////
// IAD_MainFrame
BEGIN_MESSAGE_MAP(IAD_MainFrame, CSplitFrame)
	//{{AFX_MSG_MAP(IAD_MainFrame)
	ON_WM_HELPINFO()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// IAD_MainFrame construction/destruction

//*******************************************************************************
IAD_MainFrame::IAD_MainFrame()
{
	//Loads a special curosr
//	g_hcursor_UpDownHand = AfxGetApp()->LoadCursor(IDC_CURSOR_UPDOWN_HAND);
//	g_hcursor_CloseHand = AfxGetApp()->LoadCursor(IDC_CURSOR_CLOSED_HAND);
}

//*******************************************************************************
IAD_MainFrame::~IAD_MainFrame()
{

}

//*******************************************************************************
BOOL IAD_MainFrame::OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext) 
{
	if ( !(CreateSplitter(C_cVerticalSplitter, 3)) )
		return FALSE;
	
	HINSTANCE hOldInstance = AfxGetResourceHandle();
	AfxSetResourceHandle(g_stIADDLLIdentity.hModule);

	//Creates MS view
	if	(	!CreateView(1,
										RUNTIME_CLASS(IAD_ResultView),
										"Results",
										350)
			)
		return FALSE;

	//Creates Control view
	if	( !CreateView(0,
										RUNTIME_CLASS(IAD_ControlView),
										"Actors Selection",
										190)
			)
		return FALSE;

	//BEGIN ROMTEAM Cristi Petrescu 98-05-
	//Creates Variable view
	if	( !CreateView(2,
										RUNTIME_CLASS(IAD_VariableView),
										"View Variables",
										50)
			)
		return FALSE;
	//END ROMTEAM Cristi Petrescu 98-05-

	//Manually calls OnInitialUpdate for all views !!!!!
	IAD_ResultView *pclMSView = (IAD_ResultView *)m_fn_p_oGetPane(1);
	pclMSView->OnInitialUpdate();
	
	IAD_ControlView *pclControlView = (IAD_ControlView *)m_fn_p_oGetPane(0);
	pclControlView->OnInitialUpdate();

	//BEGIN ROMTEAM Cristi Petrescu 98-05-
	IAD_VariableView *pclVariableView = (IAD_VariableView *)m_fn_p_oGetPane(2);
	pclVariableView->OnInitialUpdate();
	//END ROMTEAM Cristi Petrescu 98-05-

	AfxSetResourceHandle(hOldInstance);

	return TRUE;
}

//*******************************************************************************
BOOL IAD_MainFrame::OnHelpInfo(HELPINFO* pHelpInfo) 
{
	::WinHelp(m_hWnd,
						LPCTSTR(g_pclInterface->m_clDocument.m_csHelpFileNameAndPath),
						HELP_FINDER,
						0);
	
	return FALSE;
}


//*******************************************************************************
//*******************************************************************************
/////////////////////////////////////////////////////////////////////////////
// IAD_MainFrame diagnostics

#ifdef _DEBUG
void IAD_MainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void IAD_MainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// IAD_MainFrame message handlers


